[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Fedora 8 Update: php-pear-PHP-CompatInfo-1.6.1-1.fc8



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2008-1831
2008-02-25 22:16:23
--------------------------------------------------------------------------------

Name        : php-pear-PHP-CompatInfo
Product     : Fedora 8
Version     : 1.6.1
Release     : 1.fc8
URL         : http://pear.php.net/package/PHP_CompatInfo
Summary     : Find out version and extensions required for a piece of code to run
Description :
PHP_CompatInfo will parse a file/folder/script/array to find out the
minimum version and extensions required for it to run. Features advanced
debug output which shows which functions require which version and CLI
output script

--------------------------------------------------------------------------------
Update Information:

Upstream Changelog:    Version 1.6.1    * bugs  - bug #13131 : Undefined
variable: php5_method_chaining    Version 1.6.0    * news  - request #13094 :
PHP5 method chaining  - improve detection of PHP constants ( DATE_*, STD*,
UPLOAD_ERR_*, PHP_EOL, DIRECTORY_SEPARATOR, PATH_SEPARATOR, E_STRICT )  -
loadVersion() may return both function or function+constant list (BC is kept:
default is to return only function list $include_const = FALSE)  - Added -s |
--string parameter to CLI; Allow to parse a string without using script tags
<?php ... ?>  - Added -r | --report parameter to CLI; Allow to print either an
"xml" or "cli" (default) report    * changes  - split and glue parameters of CLI
class constructor were removed; the limit to 80 columns is now fixed otherwise
- PHP requirement is now set to 4.3.10 minimum (due to usage of PHP_EOL
constant)    * QA  - User Guide (HTML version) included in previous versions was
removed, since its now part of PEAR manual  - API is near 95% unit tested with
PHPUnit 3.x (see main suite: tests/AllTests.php)
--------------------------------------------------------------------------------
ChangeLog:

* Sat Feb 16 2008 Remi Collet <Fedora FamilleCollet com> 1.6.1-1
- update to 1.6.1
- add check for packaging documentation purpose
* Sat Feb 16 2008 Remi Collet <Fedora FamilleCollet com> 1.6.0-1
- update to 1.6.0
- add requires for php-pear(XML_Util) >= 1.1.4
- not published because http://pear.php.net/bugs/13131
* Tue Nov 20 2007 Remi Collet <Fedora FamilleCollet com> 1.5.1-2
- fix BR (pear >= 1.5.4)
* Tue Nov 20 2007 Remi Collet <Fedora FamilleCollet com> 1.5.1-1
- upgrade to 1.5.1
- fix licence + del file
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update php-pear-PHP-CompatInfo' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]